<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd"><html xmlns="http://www.w3.org/1999/xhtml"><head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.20"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<a class="dashingAutolink" name="autolink-414"></a><a class="dashAnchor" name="//apple_ref/cpp/Package/XHXKit%3A%20NSString%28LabelWidthAndHeight%29%E5%88%86%E7%B1%BB%20%E5%8F%82%E8%80%83"></a><title>XHXKit: NSString(LabelWidthAndHeight)分类 参考</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">XHXKit
   &nbsp;<span id="projectnumber">4.10.0.12</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- 制作者 Doxygen 1.8.20 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'搜索');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','搜索');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('category_n_s_string_07_label_width_and_height_08.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow" onmouseover="return searchBox.OnSearchSelectShow()" onmouseout="return searchBox.OnSearchSelectHide()" onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="category_n_s_string_07_label_width_and_height_08-members.html">所有成员列表</a>  </div>
  <div class="headertitle">
<div class="title">NSString(LabelWidthAndHeight)分类 参考</div>  </div>
</div><!--header-->
<div class="contents">

<p><code>#import &lt;<a class="el" href="_n_s_string_09_label_width_and_height_8h_source.html">NSString+LabelWidthAndHeight.h</a>&gt;</code></p>
<table class="memberdecls">
<tbody><tr class="memitem:a09bf91eb3353d4b500dd6ab95135c542"><td class="memItemLeft" align="right" valign="top">(CGFloat)&nbsp;</td><td class="memItemRight" valign="bottom">- <a class="el" href="category_n_s_string_07_label_width_and_height_08.html#a09bf91eb3353d4b500dd6ab95135c542">heightWithStringAttribute:fixedWidth:</a></td></tr>
<tr class="separator:a09bf91eb3353d4b500dd6ab95135c542"><td class="memSeparator" colspan="2">&nbsp;</td></tr>
<tr class="memitem:ae42bed6ecc870111b939470baa1b8759"><td class="memItemLeft" align="right" valign="top">(CGFloat)&nbsp;</td><td class="memItemRight" valign="bottom">- <a class="el" href="category_n_s_string_07_label_width_and_height_08.html#ae42bed6ecc870111b939470baa1b8759">widthWithStringAttribute:</a></td></tr>
<tr class="separator:ae42bed6ecc870111b939470baa1b8759"><td class="memSeparator" colspan="2">&nbsp;</td></tr>
<tr class="memitem:a5eb5b8b76ee0861c71ca4e1e342f1720"><td class="memItemLeft" align="right" valign="top">(CGFloat)&nbsp;</td><td class="memItemRight" valign="bottom">- <a class="el" href="category_n_s_string_07_label_width_and_height_08.html#a5eb5b8b76ee0861c71ca4e1e342f1720">heightWithStringFont:fixedWidth:</a></td></tr>
<tr class="separator:a5eb5b8b76ee0861c71ca4e1e342f1720"><td class="memSeparator" colspan="2">&nbsp;</td></tr>
<tr class="memitem:ae63a5111ae8022303eea7ba3368e4e3d"><td class="memItemLeft" align="right" valign="top">(CGFloat)&nbsp;</td><td class="memItemRight" valign="bottom">- <a class="el" href="category_n_s_string_07_label_width_and_height_08.html#ae63a5111ae8022303eea7ba3368e4e3d">widthWithStringFont:</a></td></tr>
<tr class="separator:ae63a5111ae8022303eea7ba3368e4e3d"><td class="memSeparator" colspan="2">&nbsp;</td></tr>
<tr class="memitem:af22c10963451639f716f05dfeac4b21d"><td class="memItemLeft" align="right" valign="top">(CGFloat)&nbsp;</td><td class="memItemRight" valign="bottom">+ <a class="el" href="category_n_s_string_07_label_width_and_height_08.html#af22c10963451639f716f05dfeac4b21d">oneLineOfTextHeightWithStringAttribute:</a></td></tr>
<tr class="separator:af22c10963451639f716f05dfeac4b21d"><td class="memSeparator" colspan="2">&nbsp;</td></tr>
<tr class="memitem:a0fd6b1da34027cf3ad26abf17c1bdc07"><td class="memItemLeft" align="right" valign="top">(CGFloat)&nbsp;</td><td class="memItemRight" valign="bottom">+ <a class="el" href="category_n_s_string_07_label_width_and_height_08.html#a0fd6b1da34027cf3ad26abf17c1bdc07">oneLineOfTextHeightWithStringFont:</a></td></tr>
<tr class="separator:a0fd6b1da34027cf3ad26abf17c1bdc07"><td class="memSeparator" colspan="2">&nbsp;</td></tr>
</tbody></table>
<h2 class="groupheader">函数文档</h2>
<a id="a09bf91eb3353d4b500dd6ab95135c542"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a09bf91eb3353d4b500dd6ab95135c542">◆&nbsp;</a></span>heightWithStringAttribute:fixedWidth:</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tbody><tr>
          <td class="memname">- (CGFloat) heightWithStringAttribute: </td>
          <td></td>
          <td class="paramtype">(NSDictionary &lt;NSString *, id&gt; *)&nbsp;</td>
          <td class="paramname"><em>attribute</em></td>
        </tr>
        <tr>
          <td class="paramkey">fixedWidth:</td>
          <td></td>
          <td class="paramtype">(CGFloat)&nbsp;</td>
          <td class="paramname"><em>width</em>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td></td>
          <td></td><td></td>
        </tr>
      </tbody></table>
</div><div class="memdoc">
<p>Get the string&#39;s height with the fixed width.</p>
<dl class="params"><dt>参数</dt><dd>
  <table class="params">
    <tbody><tr><td class="paramname">attribute</td><td>String&#39;s attribute, eg. attribute =NSFontAttributeName: [UIFont systemFontOfSize:18.f]} </td></tr>
    <tr><td class="paramname">width</td><td>Fixed width.</td></tr>
  </tbody></table>
  </dd>
</dl>
<dl class="section return"><dt>返回</dt><dd>String&#39;s height. </dd></dl>

</div>
</div>
<a id="a5eb5b8b76ee0861c71ca4e1e342f1720"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5eb5b8b76ee0861c71ca4e1e342f1720">◆&nbsp;</a></span>heightWithStringFont:fixedWidth:</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tbody><tr>
          <td class="memname">- (CGFloat) heightWithStringFont: </td>
          <td></td>
          <td class="paramtype">(UIFont *)&nbsp;</td>
          <td class="paramname"><em>font</em></td>
        </tr>
        <tr>
          <td class="paramkey">fixedWidth:</td>
          <td></td>
          <td class="paramtype">(CGFloat)&nbsp;</td>
          <td class="paramname"><em>width</em>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td></td>
          <td></td><td></td>
        </tr>
      </tbody></table>
</div><div class="memdoc">
<p>Get the string&#39;s height with the fixed width.</p>
<dl class="params"><dt>参数</dt><dd>
  <table class="params">
    <tbody><tr><td class="paramname">font</td><td>String&#39;s font. </td></tr>
    <tr><td class="paramname">width</td><td>Fixed width.</td></tr>
  </tbody></table>
  </dd>
</dl>
<dl class="section return"><dt>返回</dt><dd>String&#39;s height. </dd></dl>

</div>
</div>
<a id="af22c10963451639f716f05dfeac4b21d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af22c10963451639f716f05dfeac4b21d">◆&nbsp;</a></span>oneLineOfTextHeightWithStringAttribute:</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tbody><tr>
          <td class="memname">+ (CGFloat) oneLineOfTextHeightWithStringAttribute: </td>
          <td></td>
          <td class="paramtype">(NSDictionary &lt;NSString *, id&gt; *)&nbsp;</td>
          <td class="paramname"><em>attribute</em></td>
          <td></td>
        </tr>
      </tbody></table>
</div><div class="memdoc">
<p>Get a line of text height.</p>
<dl class="params"><dt>参数</dt><dd>
  <table class="params">
    <tbody><tr><td class="paramname">attribute</td><td>String&#39;s attribute, eg. attribute =NSFontAttributeName: [UIFont systemFontOfSize:18.f]}</td></tr>
  </tbody></table>
  </dd>
</dl>
<dl class="section return"><dt>返回</dt><dd>String&#39;s width. </dd></dl>

</div>
</div>
<a id="a0fd6b1da34027cf3ad26abf17c1bdc07"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0fd6b1da34027cf3ad26abf17c1bdc07">◆&nbsp;</a></span>oneLineOfTextHeightWithStringFont:</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tbody><tr>
          <td class="memname">+ (CGFloat) oneLineOfTextHeightWithStringFont: </td>
          <td></td>
          <td class="paramtype">(UIFont *)&nbsp;</td>
          <td class="paramname"><em>font</em></td>
          <td></td>
        </tr>
      </tbody></table>
</div><div class="memdoc">
<p>Get a line of text height.</p>
<dl class="params"><dt>参数</dt><dd>
  <table class="params">
    <tbody><tr><td class="paramname">font</td><td>String&#39;s font.</td></tr>
  </tbody></table>
  </dd>
</dl>
<dl class="section return"><dt>返回</dt><dd>String&#39;s width. </dd></dl>

</div>
</div>
<a id="ae42bed6ecc870111b939470baa1b8759"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae42bed6ecc870111b939470baa1b8759">◆&nbsp;</a></span>widthWithStringAttribute:</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tbody><tr>
          <td class="memname">- (CGFloat) widthWithStringAttribute: </td>
          <td></td>
          <td class="paramtype">(NSDictionary &lt;NSString *, id&gt; *)&nbsp;</td>
          <td class="paramname"><em>attribute</em></td>
          <td></td>
        </tr>
      </tbody></table>
</div><div class="memdoc">
<p>Get the string&#39;s width.</p>
<dl class="params"><dt>参数</dt><dd>
  <table class="params">
    <tbody><tr><td class="paramname">attribute</td><td>String&#39;s attribute, eg. attribute =NSFontAttributeName: [UIFont systemFontOfSize:18.f]}</td></tr>
  </tbody></table>
  </dd>
</dl>
<dl class="section return"><dt>返回</dt><dd>String&#39;s width. </dd></dl>

</div>
</div>
<a id="ae63a5111ae8022303eea7ba3368e4e3d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae63a5111ae8022303eea7ba3368e4e3d">◆&nbsp;</a></span>widthWithStringFont:</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tbody><tr>
          <td class="memname">- (CGFloat) widthWithStringFont: </td>
          <td></td>
          <td class="paramtype">(UIFont *)&nbsp;</td>
          <td class="paramname"><em>font</em></td>
          <td></td>
        </tr>
      </tbody></table>
</div><div class="memdoc">
<p>Get the string&#39;s width.</p>
<dl class="params"><dt>参数</dt><dd>
  <table class="params">
    <tbody><tr><td class="paramname">font</td><td>String&#39;s font.</td></tr>
  </tbody></table>
  </dd>
</dl>
<dl class="section return"><dt>返回</dt><dd>String&#39;s width. </dd></dl>

</div>
</div>
<hr/>该分类的文档由以下文件生成:<ul>
<li>/Users/scar1900/Developer/XHXKit/XHXKit/Classes/General/Category/<a class="el" href="_n_s_string_09_label_width_and_height_8h_source.html">NSString+LabelWidthAndHeight.h</a></li>
<li>/Users/scar1900/Developer/XHXKit/XHXKit/Classes/General/Category/<a class="el" href="_n_s_string_09_label_width_and_height_8m.html">NSString+LabelWidthAndHeight.m</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="category_n_s_string_07_label_width_and_height_08.html">NSString(LabelWidthAndHeight)</a></li>
    <li class="footer">制作者 <a href="http://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.8.20 </li>
  </ul>
</div>


</body></html>